# Administration Reference

## bos help

Purpose

Displays the syntax of specified bos commands or lists functional descriptions of all bos commands

Synopsis

    bos help [-topic <help string>+]  [-help]

    bos h [-t <help string>+]  [-h]

Description

The bos help command displays the complete online help entry (short description and syntax statement) for each command operation code specified by the -topic argument. If the -topic argument is omitted, the output includes the first line (name and short description) of the online help entry for every bos command.

To list every bos command whose name or short description includes a specified keyword, use the bos apropos command.

Options

-topic
  Indicates each command for which to display the complete online help entry. Omit the bos part of the command name, providing only the operation code (for example, specify status, not bos status). If this argument is omitted, the output briefly describes every bos command.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The online help entry for each bos command consists of the following two or three lines:

- The first line names the command and briefly describes its function.

- The second line lists aliases for the command, if any.

- The final line, which begins with the string `Usage`, lists the command's options in the prescribed order. Online help entries use the same symbols (for example, brackets) as the reference pages in this document.

Examples

The following command displays the online help entry for the bos status command:

       % bos help status
       bos status: show server instance status
       Usage: bos status -server <machine name> [-instance <server
       process name>+] [-long] [-cell <cell name>] [-noauth]
       [-localauth] [-help]

Privilege Required

None

Related Information

bos

bos apropos

© IBM Corporation 2000. All Rights Reserved